<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">numholder</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::AnyNumeric::numholder&lt; ValueType &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#a2720b7413df1f0384dc6a53f618a5776">add</a>(placeholder *rhs)</td><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#a8f39c28d0d67fec960573196e5e462a7">clone</a>() const </td><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#a5df1d61d12c35b1abc587ea2323ec1f5">divide</a>(placeholder *rhs)</td><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#a30747552f8f12160cab496cf7b0d3e23">getType</a>() const </td><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#af70c75bcdb763868f6c40591a1e64699">held</a></td><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#a09ef8fec011588204b5ffc4c00770526">multiply</a>(placeholder *rhs)</td><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#a582605d2ca14d373552fc099760a346a">multiply</a>(Real factor)</td><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#ab9414baa5ac2efe6abe7486d4287d137">numholder</a>(const ValueType &amp;value)</td><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#a28c881c1c5e62ebeb79d451f059fbed4">subtract</a>(placeholder *rhs)</td><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#a1cd19a31e8c9e9f73824e2db792bf629">writeToStream</a>(std::ostream &amp;o)</td><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numplaceholder.html#a0fc12f0f9daac95af59b02f5ecdd4f1f">~numplaceholder</a>()</td><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numplaceholder.html">Ogre::AnyNumeric::numplaceholder</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Any_1_1placeholder.html#ad122e24bf73e447ee0a34066598a4866">~placeholder</a>()</td><td><a class="el" href="classOgre_1_1Any_1_1placeholder.html">Ogre::Any::placeholder</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
